Subject: Re: [PATCH v4 0/7] git send-email suppress-cc=self fixes

From: John Keeping <[email-masked]>
Date: Mon, 10 Jun 2013 08:29:31 +0100

On Mon, Jun 10, 2013 at 09:53:24AM +0300, Michael S. Tsirkin wrote:
> I vaguely remember there was some way to say
> "head of the remote I am tracking" - but I could not find it.
> Where are all the tricks like foo^{} documented?

gitrevisions(7) is what you're looking for here.

In this case I think you want '@{upstream}' or its short form '@{u}'.

> I tried fgrep '{}' Documentation/*txt and it only returned
> git-show-ref.txt which isn't really informative ...

'{' and '}' need to be escaped in AsciiDoc so you have to grep for
'\\{\\}'.